> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onsomble.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a recommendation action

> Requires the recommendations:create scope.



## OpenAPI

````yaml /openapi/public-api-v1.json post /v1/sites/{siteId}/recommendations/{recommendationId}/actions
openapi: 3.0.0
info:
  title: Onsomble API
  description: >-
    Connect Onsomble to your reporting and operational workflows. Read
    discoverability results or start a Scan from another system.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.onsomble.ai
    description: Production
security:
  - apiKeyAuth: []
tags:
  - name: Sites
    description: Sites connected to your account.
  - name: Clients
    description: Clients managed by agency accounts.
  - name: Scans
    description: Scan history, status, and controls.
  - name: Reports
    description: AI discoverability results.
paths:
  /v1/sites/{siteId}/recommendations/{recommendationId}/actions:
    post:
      tags:
        - Sites
      summary: Add a recommendation action
      description: Requires the recommendations:create scope.
      operationId: addAction
      parameters:
        - name: siteId
          required: true
          in: path
          schema:
            type: string
        - name: recommendationId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRecommendationActionDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecommendationActionsResponseDto'
        '403':
          description: Key has no creator to attribute the write to.
components:
  schemas:
    CreateRecommendationActionDto:
      type: object
      properties:
        title:
          type: string
        description:
          type: string
        status:
          type: string
          enum:
            - planned
            - in_progress
            - done
        date:
          type: string
          example: '2026-09-20'
        references:
          type: array
          items:
            type: string
      required:
        - title
        - status
    RecommendationActionsResponseDto:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/RecommendationActionDto'
      required:
        - data
    RecommendationActionDto:
      type: object
      properties:
        activityId:
          type: string
          format: uuid
        title:
          type: string
        description:
          type: string
          nullable: true
        status:
          type: string
          enum:
            - planned
            - in_progress
            - done
        date:
          type: string
          nullable: true
          example: '2026-09-20'
        href:
          type: string
          nullable: true
        createdAt:
          type: string
      required:
        - activityId
        - title
        - description
        - status
        - date
        - href
        - createdAt
  securitySchemes:
    apiKeyAuth:
      scheme: bearer
      bearerFormat: ons_…
      type: http
      description: An API key created in Settings → Account → API Keys.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.